/* eslint-disable react/jsx-props-no-spreading */
import React, { FC } from 'react';
import { SvgPropsType } from '@make.org/types';

export const SvgOffice: FC<SvgPropsType> = (props: SvgPropsType) => (
  <svg
    width={27}
    height={27}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      className="tofill"
      d="M25.663 21.325h-1.625V9.95a.812.812 0 0 0 0-1.625h-4.875v-3.25a.812.812 0 0 0 0-1.625H4.538a.812.812 0 1 0 0 1.625v16.25H2.913a.812.812 0 1 0 0 1.625h22.75a.812.812 0 1 0 0-1.625ZM22.413 9.95v11.375h-3.25V9.95h3.25ZM6.163 5.075h11.375v16.25h-2.437V16.45a.812.812 0 0 0-.813-.813H9.413a.812.812 0 0 0-.812.813v4.875H6.163V5.075Zm7.313 16.25h-3.25v-4.063h3.25v4.063Zm-5.688-13a.812.812 0 0 1 .813-.812h1.625a.812.812 0 0 1 0 1.625H8.6a.812.812 0 0 1-.813-.813Zm4.875 0a.812.812 0 0 1 .813-.812H15.1a.812.812 0 0 1 0 1.625h-1.625a.812.812 0 0 1-.813-.813Zm-4.875 4.063a.812.812 0 0 1 .813-.813h1.625a.812.812 0 1 1 0 1.625H8.6a.812.812 0 0 1-.813-.813Zm4.875 0a.812.812 0 0 1 .813-.813H15.1a.812.812 0 1 1 0 1.625h-1.625a.812.812 0 0 1-.813-.813Z"
      fill="#343330"
    />
  </svg>
);
